Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVRMLAllocator Struct Reference

`#include <vtkVRML.h>`

Collaboration diagram for vtkVRMLAllocator:

[legend]
List of all members.

## Static Public Methods

void | Initialize ()
void * | AllocateMemory (size_t n)
void | CleanUp ()
char * | StrDup (const char *str)

## Static Public Attributes

vtkHeap * | Heap

## Member Function Documentation

void vtkVRMLAllocator::Initialize | ( |  | ) | `[static]`

| Referenced by vtkVRMLVectorType< T >::Init().

void* vtkVRMLAllocator::AllocateMemory | ( | size_t | n | ) | `[static]`

| Referenced by vtkVRMLVectorType< T >::Init(), vtkVRMLVectorType< T >::operator new(), and vtkVRMLVectorType< T >::Reserve().

void vtkVRMLAllocator::CleanUp | ( |  | ) | `[static]`

char* vtkVRMLAllocator::StrDup | ( | const char * | str | ) | `[static]`

## Member Data Documentation

vtkHeap* vtkVRMLAllocator::Heap`[static]`

| Definition at line 63 of file vtkVRML.h.

The documentation for this struct was generated from the following file:

- Hybrid/vtkVRML.h